<template>
  <!-- <Load></Load> -->
  <!-- <ImgDetail ref='ImgDetailRef' :imgList="imgList" :imgIdx="imgIdx"></ImgDetail> -->

  <Head>
    <Title></Title>
    <Meta name="keywords" content="" />
    <Meta name="description" content="" />
    <Meta name="baidu-site-verification" content="" />
  </Head>
  <Header></Header>


  <!-- 图片预览示例 -->
  <div class="top-show-box">
    <img @click="handleImg(0)" :src=openImg1 alt="">
  </div>

  <Final></Final>
</template>

<script setup>


/**  基础变量  **/
let imgList = ref([])
let imgIdx = ref(0)
let ImgDetailRef = ref(null)


/**预对接的数据**/
let openImg1 = ref("/img/home/open/open1.png")


/**js常量的定义**/




/**js操控的逻辑变量**/




/**方法函数**/

// 预览图片
function handleImg(v) {
  ImgDetailRef.value.showImgDetail()
  imgIdx.value = v
}



/**onMounted**/
onMounted(() => {
  // imgList.value.push(openImg1.value)

  // htmlAddAnimations()
})
/**export**/
defineExpose({
  middleware: 'auth'
})

</script>

<style scoped src="~/assets/css/index/index.scss"></style>
<style scoped src="~/assets/css/index/media.scss"></style>